View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
17425Bug reportsAccessibilitypublic2021-07-27 11:57
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version5.x 
Summary17425: Misusage of progressbar
Descriptionthe visual progress bar of survey use role="progressbar", but this not done for this.

https://www.w3.org/TR/wai-aria-1.1/#progressbar
Steps To ReproduceUse NCDA on linux and hear.
Additional Information> Si tu as déjà utilisé progressbar sur autre chose qu'un élément en cours de chargement, imagine-toi que NVDA fait un bruit de bouteille qui se remplit avec progressbar. Ce bruit simule le chargement en cours. Pas vraiment applicable dans un autre contexte.

Translated
> If you have ever used progressbar on anything other than a loading item, imagine that NVDA makes the sound of a bottle being filled with progressbar. This noise simulates the loading in progress. Not really applicable in any other context.
TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build) 5.0.7
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

has duplicate 17373 resolvedDenisChenu Misusage of progressbar 

Activities

Related Changesets

LimeSurvey: master e85b4dd3

2021-07-22 12:54:59

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17425: Missusage of progressbar (#1958)

Dev: aria-hidden and add with sr-only
Dev: cherry-picked from 3LTS
Affected Issues
17425
mod - application/helpers/SurveyRuntimeHelper.php Diff File
rm - assets/styles-public/lime-progress.css Diff File
mod - themes/survey/vanilla/views/subviews/header/progress_bar.twig Diff File

Issue History

Date Modified Username Field Change
2021-07-08 16:15 DenisChenu New Issue
2021-07-08 16:15 DenisChenu Status new => assigned
2021-07-08 16:15 DenisChenu Assigned To => DenisChenu
2021-07-08 16:15 DenisChenu Issue generated from: 17373
2021-07-08 16:15 DenisChenu Relationship added related to 17373
2021-07-08 19:44 DenisChenu Assigned To DenisChenu =>
2021-07-08 19:44 DenisChenu Assigned To => galads
2021-07-08 19:44 DenisChenu Status assigned => testing
2021-07-08 19:44 DenisChenu Note Added: 65264
2021-07-12 13:08 galads Relationship replaced has duplicate 17373
2021-07-12 13:08 galads Bug heat 2 => 10
2021-07-12 13:13 galads Status testing => review
2021-07-12 14:14 c_schmitz Summary Missusage of progressbar => Misusage of progressbar
2021-07-22 13:01 DenisChenu Changeset attached => LimeSurvey master e85b4dd3
2021-07-22 13:01 DenisChenu Note Added: 65566
2021-07-22 13:01 DenisChenu Assigned To galads => DenisChenu
2021-07-22 13:01 DenisChenu Resolution open => fixed
2021-07-27 11:57 DenisChenu Status review => resolved